import { DMFile } from './TwitterTypes';
import Conversation from "./Conversation";
/**
 * Hold all the direct messages contained in a Twitter GDPR archive.
 */
export declare class DMArchive {
    protected me_id: string;
    protected index: {
        [convId: string]: Conversation;
    };
    constructor(me_id: string);
    /** Add a direct message file in current conversation object. */
    add(convs: DMFile): void;
    /** Get a conversation with specific ID. undefined if it does not exists. */
    get(id: string): Conversation;
    /** Test if archive has a conversation with ID {id} */
    has(id: string): boolean;
    /** Group conversations */
    readonly groups: Conversation[];
    /** Direct (two participants) conversations */
    readonly directs: Conversation[];
    /** Array of conversations registered in this archive. */
    readonly all: Conversation[];
    /** Message count. */
    readonly count: number;
    /** Conversation count. */
    readonly length: number;
}
export default DMArchive;
